/*
* ============================================================================
*  Name     : CTaskManagerApp from TaskManagerApp.h
*  Part of  : TaskManager
*  Created  : 08/31/2005 by Forum Nokia
*  Description:
*     Declares main application class.
*  Version  : 1.0
*  Copyright: Nokia Corporation
* ============================================================================
*/

#ifndef __TASKMANAGERAPP_H__
#define __TASKMANAGERAPP_H__

// INCLUDE FILES
#include <eikapp.h>

// CONSTANTS
// UID of the application
const TUid KUidTaskManagerApp = { 0x0246da04 };

// CLASS DECLARATION

/**
* CTaskManagerApp application class.
* Provides factory to create concrete document object.
* 
*/
class CTaskManagerApp : public CEikApplication
    {
private: // Functions from base classes

    /**
    * From CApaApplication, creates CTaskManagerDocument document object.
    * @return A pointer to the created document object.
    */
    CApaDocument* CreateDocumentL();
    
    /**
    * From CApaApplication, returns application's UID (KUidTaskManagerApp).
    * @return The value of KUidTaskManagerApp.
    */
    TUid AppDllUid() const;
    };

#endif // __TASKMANAGERAPP_H__

// End of File

